<< plq_isConvex | plq | plq_lft >>

CCA (Computational Convex Analysis) >> plq > plq_isEqual

# plq_isEqual

Piecewise linear quadratic (plq), Model equivalence test

### Calling Sequence

    b = plq_isEqual(plqf, plqg)

### Parameters

plqf

  matrix. A PLQ function with dimensions n x 4.

plqg

  matrix. A PLQ function with dimensions n' x 4.

b

  boolean. Whether or not the models are equivalent.

### Description

Accepts two PLQ functions, and returns true if and only if the functions are equal, ignoring rounding error and duplicate adjacent pieces.

### Examples

    plqf = [%inf 1 0 0];
    plqg = [0 1 0 0;%inf 1 0 0];
    b = plq_isEqual(plqf, plqg),

    eps = 1e-12;
    plqf = [%inf 1 0 0];
    plqg = [%inf 1+eps eps -eps];
    b = plq_isEqual(plqf, plqg),

### See Also

- gph_function

### Authors

`Bryan Gardiner`, University of British Columbia, BC, Canada

<< plq_isConvex | plq | plq_lft >>